%Blood Coagulation 
clc
tspan = [0 700]; % Range for the time of the reaction 
y0 = [25*exp(12);exp(8);0;1*exp(10);0;0;0;1.6*exp(7);0;0;9*exp(8);0;0;1.4*exp(6);0.7*exp(9);0;0;0;0;0;2*exp(8);0;0;0;0;2.5*exp(9);0;0;3.4*exp(6);0;0;0;0;0]; % Initial values for the dependent variables i.e. fsv,fs,Cv,Ca,fsa,and Cp
[t y]=ode45(@ODEfun,tspan,y0);
plot(t,y(:,1),t,y(:,2),t,y(:,3),t,y(:,4),t,y(:,5),t,y(:,6),t,y(:,7),t,y(:,8),t,y(:,9),t,y(:,10),t,y(:,11),t,y(:,12),t,y(:,13),t,y(:,14),t,y(:,15),t,y(:,16),t,y(:,17),t,y(:,18));
legend('TF','VII','TFVII','VIIa','TFVIIa','Xa','IIa','X','TFVIIaX','TFVIIaxa','IX','TFVIIaIX','IXa','II','VIII','VIIIa','IXaVIIIa','IXaVIIIaX','VIIIa1L','VIIIa2','V','Va','XaVa','XaVaII','mIIa','TFPI','XaTFPI','TFVIIaXaTFPI','ATIII','XaATIII','mIIaATIII','IXaATIII','TFVIIIaATIII','IIaATIII')
axis([0 8 0 1])


